BORGFS(1)

NAME
borgfs - Mount archive or an entire repository as a FUSE filesystem

SYNOPSIS

borgfs [options] MOUNTPOINT [PATH...]

DESCRIPTION

For more information, see borg mount --help.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

MOUNTPOINT
    where to mount filesystem

PATH
    paths to extract; patterns are supported

  options

-V, --version
    show version number and exit

--consider-checkpoints
    Show checkpoint archives in the repository contents list (default: hidden).

-f, --foreground
    stay in foreground, do not daemonize

-o  Extra mount options

--numeric-ids
    use numeric user and group identifiers from archive(s)

  Archive filters

-a PATTERN, --match-archives PATTERN
    only consider archive names matching the pattern. see "borg help match-archives".

--sort-by KEYS
    Comma-separated list of sorting keys; valid keys are: timestamp, name, id; default is: timestamp

--first N
    consider first N archives after other filters were applied

--last N
    consider last N archives after other filters were applied

--oldest TIMESPAN
    consider archives between the oldest archive's timestamp and (oldest + TIMESPAN), e.g. 7d or 12m.

--newest TIMESPAN
    consider archives between the newest archive's timestamp and (newest - TIMESPAN), e.g. 7d or 12m.

--older TIMESPAN
    consider archives older than (now - TIMESPAN), e.g. 7d oder 12m.

--newer TIMESPAN
    consider archives newer than (now - TIMESPAN), e.g. 7d or 12m.

  Exclusion options

-e PATTERN, --exclude PATTERN
    exclude paths matching PATTERN

--exclude-from EXCLUDEFILE
    read exclude patterns from EXCLUDEFILE, one per line

--pattern PATTERN
    include/exclude paths matching PATTERN

--patterns-from PATTERNFILE
    read include/exclude patterns from PATTERNFILE, one per line

--strip-components NUMBER
    Remove the specified number of leading path elements. Paths with fewer elements will be silently skipped.

SEE ALSO

borg-common(1)

AUTHOR
The Borg Collective